<?php
/**
 * 管理员管理
 * $Id: account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$action = ParamUtil::getRequestString("action");
$comment = ParamUtil::getRequestString("comment");
$status = ParamUtil::getRequestString("status", 1);

$user_mst = UserMst::getById($id);
if ($user_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

//添加回访记录
if($action == "ADD" && !empty($comment)) {
	//相同内容排除
	$param = array();
	$param["delete_flg"] = false;
	$param["user_id"] = $id;
	$param["comment"] = $comment;
	$param["account_id"] = $_account->id;
	$param["status"] = $status;
	$tmp_comment_list = UserCommentDat::getList($param, "id", "desc");
	if(empty($tmp_comment_list)) {
		$user_comment = new UserCommentDat();
		$user_comment->user_id = $id;
		$user_comment->account_id = $_account->id;
		$user_comment->comment = $comment;
		$user_comment->status = $status;
		$user_comment->save();
		
		//更新时间
		$user_mst->update_date = date("Y-m-d H:i:s");
		$user_mst->save();
	}
	
}

//回访记录列表
$param = array();
$param["delete_flg"] = false;
$param["user_id"] = $id;
$user_comment_list = UserCommentDat::getList($param, "id", "desc");

//学员状态
$user_status_list = UserStatus::getList(null, "id", "desc");

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/user_edit_comment_input.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_user";
$layout_pages["middle"] = "user_edit_comment_input2.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;